%define upstream_name Dist-Zilla-Plugin-Readme-Brief
%define upstream_version 0.003003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Provide a short simple README with just the essentials
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::File::FromCode)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(PPIx::DocumentName)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Selectors)
BuildRequires: perl(Pod::Elemental::Transformer::Nester)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This provides a terse but informative README file for your CPAN
distribution that contains just the essential details about your dist a
casual consumer would want to know.

*   The name of the primary module in the distribution

*   The distribution's main modules description

*   Simple installation instructions from an extracted archive

*   Short copyright information

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.3-3.mga10
+ Revision: 2206241
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.3.3-2.mga9
+ Revision: 1812767
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 tv <tv> 0.3.3-1.mga8
+ Revision: 1591312
- update to 0.003003

* Wed Feb 12 2020 umeabot <umeabot> 0.3.2-3.mga8
+ Revision: 1504153
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.3.2-2.mga7
+ Revision: 1283267
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.3.2-1.mga7
+ Revision: 1125978
- update to 0.003002

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-2.mga6
+ Revision: 1026561
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.3.0-1.mga6
+ Revision: 1007591
- update to 0.003000

* Fri Feb 19 2016 umeabot <umeabot> 0.2.5-2.mga6
+ Revision: 968250
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.2.5-1.mga6
+ Revision: 851672
- imported package perl-Dist-Zilla-Plugin-Readme-Brief

